# Class AdsMacroReplacementError

#### Hierarchy (view full)

- AdsError
  - AdsMacroReplacementError

#####
Index

### Constructors

constructor

### Properties

category
code
description
macro

## Constructors

### constructor

- new AdsMacroReplacementError(macro): AdsMacroReplacementError

- #### Parameters

  - macro: string

  #### Returns AdsMacroReplacementError

  Overrides AdsError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Inherited from AdsError.category

### `Readonly` code

code: MacroReplacementFailed = ErrorCode.MacroReplacementFailed

Overrides AdsError.code

### `Readonly` description

description: "An error occured replacing ad macros. The provided regex may be invalid." = 'An error occured replacing ad macros. The provided regex may be invalid.'

### `Readonly` macro

macro: string